---
page_source: https://juspay.io/in/docs/payment-method-integrations/express-checkout-api/simpl-pay-after-delivery-multiclaim/create-order
page_title: Create Order
---

## API Version: default


# Create Order API

## Endpoints:
- Sandbox: https://sandbox.juspay.in

- Production: https://api.juspay.in

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Auth example
- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Sample Code Snippets:
### Code Snippets:

#### Shell Code Snippet:

```shell
curl --location 'https://api.juspay.in/orders' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Basic N0JBRDA4OUExRjYxxxxxxxxxxxxCNjY3QTVCMUQzM0Q6' \
--header 'x-merchantid: merchantId'\
--data-urlencode 'order_id=o1702883646' \
--data-urlencode 'customer_id=cth_rn94E53AizRcUCZf' \
--data-urlencode 'customer_email=test@gmail.com' \
--data-urlencode 'customer_phone=9787776757' \
--data-urlencode 'billing_address_city=Mumbai' \
--data-urlencode 'shipping_address_city=Mumbai' \
--data-urlencode 'billing_address_line1=Street1' \
--data-urlencode 'shipping_address_last_name=Star' \
--data-urlencode 'return_url=https://www.google.com/' \
--data-urlencode 'options.get_client_auth_token=true' \
--data-urlencode 'amount=3' \
--data-urlencode 'basket=[{"id":"Mercury","description":"SampleDescription","quantity":1,"unitP rice":1.0,"category":"Electronics","sku":"12345","productUrl":"https://www.abc. def/xyz","sellerType":"VENDOR","customParams":{"name1":"value1","name2":"value2 "}},{"id":"Mercury2","description":"SampleDescription","quantity":1,"unitPrice ":1.0,"category":"Electronics","sku":"12346","productUrl":"https://www.abc.def/ xyz","sellerType":"VENDOR","customParams":{"name1":"value1","name2":"value2"}}, {"id":"Mercury3","description":"SampleDescription","quantity":1,"unitPrice":1. 0,"category":"Electronics","sku":"12347","productUrl":"https://www.abc.def/xyz" ,"sellerType":"VENDOR","customParams":{"name1":"value1","name2":"value2"}}]' \ --data-urlencode 'metadata.SIMPL%3Agateway_reference_id=testsimpl'

```

### Sample Request and Response:

#### Response:
```json
{
  "udf9": "",
  "udf8": "",
  "udf7": "",
  "udf6": "",
  "udf5": "",
  "udf4": "",
  "udf3": "",
  "udf2": "",
  "udf10": "",
  "udf1": "",
  "status_id": 10,
  "status": "NEW",
  "return_url": "https://www.google.com/",
  "refunded": false,
  "product_id": "",
  "payment_links": {
    "web": "https://api.juspay.in/merchant/pay/ordeu_8bddad1e87f485eab3db4528575c01b",
    "mobile": "https://api.juspay.in/merchant/pay/ordeu_8bddad1e87f485eab3db4528575c01b?mobile=true",
    "iframe": "https://api.juspay.in/merchant/ipay/ordeu_8bddad1e87f485eab3db4528575c01b"
  },
  "order_id": "o1702883646",
  "merchant_id": "merchantId",
  "juspay": {
    "client_auth_token_expiry": "2020-06-16T10:43:35Z",
    "client_auth_token": "tkn_753275c49a44a1a313eb2567f2fd6b"
  },
  "id": "ordeu_8bddad1e87f485eab3db4528575c01b",
  "date_created": "2020-06-16T10:28:35Z",
  "customer_phone": "9787776757",
  "customer_id": "cth_rn94E53AizRcUCZf",
  "customer_email": "test@gmail.com",
  "currency": "INR",
  "amount_refunded": 0,
  "amount": 3
}

```

## Body Parameters:
### Basic Parameters:

#### customer_id:
- Value: value
- Tags: String, Mandatory

#### customer_phone:
- Tags: String

#### amount:
- Tags: String, Mandatory

#### basket:
- Tags: List
## API Responses:
